Bug 657599 - [abrt] sane-backends-1.0.21-4.fc14: scan_it: Process /usr/bin/scanimage was killed by signal 8 (SIGFPE)
[abrt] sane-backends-1.0.21-4.fc14: scan_it: Process /usr/bin/scanimage was k...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:9692f4b0ed9427634c9e0852e83...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 13:30 EST by David M.
Modified: 2011-06-02 00:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 00:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (119.80 KB, text/plain)
2010-11-26 13:31 EST, David M.
no flags Details

  None (edit)
Description David M. 2010-11-26 13:30:59 EST
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: scanimage -vpb --format=tiff --mode Gray
comment: scanimage crashed on Scanjet 3300C scanner.
component: sane-backends
crash_function: scan_it
executable: /usr/bin/scanimage
kernel: 2.6.35.6-48.fc14.x86_64
package: sane-backends-1.0.21-4.fc14
rating: 4
reason: Process /usr/bin/scanimage was killed by signal 8 (SIGFPE)
release: Fedora release 14 (Laughlin)
time: 1290796135
uid: 500

How to reproduce
-----
1.  Attempting to recreate F12 Bug
2.  Entered : "scanimage -vpb --format=tiff --mode Gray" to cmd line
3.  Crash
Comment 1 David M. 2010-11-26 13:31:01 EST
Created attachment 463113 [details]
File: backtrace
Comment 2 David M. 2010-11-26 13:32:53 EST

*** This bug has been marked as a duplicate of bug 551670 ***
Comment 3 Nils Philippsen 2010-11-29 05:39:31 EST
According to the backtrace, this issue is different from bug #551670.
Comment 4 Nils Philippsen 2010-11-29 05:47:45 EST
This is the line where the FPE happens:

        fprintf (stderr, "%s: scanning image of size %dx%d pixels at "
             "%d bits/pixel\n",
             prog_name, parm.pixels_per_line, parm.lines,
             8 * parm.bytes_per_line / parm.pixels_per_line);

And this is why:

        parm = {format = SANE_FRAME_GRAY, last_frame = 1, bytes_per_line = 0, pixels_per_line = 0, lines = 0, depth = 8}

--> division by zero. Now it would be interesting to find out why a scan of 0px*0px is attempted, if that is permissible.
Comment 5 Nils Philippsen 2010-11-29 06:06:38 EST
David, please run the following command to find out the default settings of your device, and post the output here:

scanimage --help

Thanks.
Comment 6 David M. 2010-12-01 01:06:36 EST
Options specific to device `niash:libusb:001:014':
  Geometry:
    -l 0..220mm (in steps of 1) [0]
        Top-left x position of scan area.
    -t 0..297mm (in steps of 1) [0]
        Top-left y position of scan area.
    -x 0..220mm (in steps of 1) [210]
        Width of scan-area.
    -y 0..297mm (in steps of 1) [290]
        Height of scan-area.
    --resolution 75|150|300|600dpi [150]
        Sets the resolution of the scanned image.
  Image:
    --gamma-table 0..255,... (in steps of 1)
        Gamma-correction table.  In color mode this option equally affects the
        red, green, and blue channels simultaneously (i.e., it is an intensity
        gamma table).
  Scan Mode:
    --mode Color|Gray|Lineart [Color]
        Selects the scan mode (e.g., lineart, monochrome, or color).
  Enhancement:
    --threshold 0..100% (in steps of 1) [inactive]
        Select minimum-brightness to get a white point

I hope this helps,

--Dave
Comment 7 Nils Philippsen 2011-04-04 07:42:16 EDT
A new upstream version with many bugfixes and enhancements has been released. Please check whether you issue persists with this updated package:

https://admin.fedoraproject.org/updates/sane-backends-1.0.22-1.fc14
Comment 8 David M. 2011-06-02 00:13:22 EDT
I am no longer able to re-create the bug.  Marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.